Update container options
PATCH
/container/{ocid}/options
const url = 'https://sylve.lan:8181/api/container/1/options';const options = { method: 'PATCH', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"cores":1,"description":"example","memory":1,"startAtBoot":true,"startOrder":1,"title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://sylve.lan:8181/api/container/1/options \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "cores": 1, "description": "example", "memory": 1, "startAtBoot": true, "startOrder": 1, "title": "example" }'Change a container’s name, description, or boot options without recreating it
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”ocid
required
integer
Container ID
Request Body
Section titled “Request Body”Options
Media typeapplication/json
object
cores
integer
description
string
memory
integer
startAtBoot
boolean
startOrder
integer
title
string
Examplegenerated
{ "cores": 1, "description": "example", "memory": 1, "startAtBoot": true, "startOrder": 1, "title": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}